from runtest import conditions
import base_section


class Telemetry(base_section.BaseSection):

    name = "telemetry"
    options = [
        'alarm_granularity',
    ]

    @property
    def alarm_granularity(self):
        archive_policy_values = {
            'low': 300,
            'medium': 60,
            'high': 10}

        gnocchi_enable = conditions.BaseRule(
            'ceilometer.server.publisher.gnocchi.enabled', 'eq', True)

        if gnocchi_enable:
            archive_policy = self.get_item_when_condition_match(
                'ceilometer.server.publisher.gnocchi.archive_policy',
                gnocchi_enable) or 'medium'
            return archive_policy_values[archive_policy]
